Unit tzf21r_p;
interface
uses
SysUtils, Math, LStruct, Lfunc, UtRes_p, FZF21R_p, ZF21R_p;

function tzf21r: String; 

implementation

function tzf21r: String;
var
ITMAX,IERR :Integer;
A,B,EPS,ROOT :Real;
begin
Result := '';
A := -2.57;
B := 1.57;
EPS := 1.E-5;
ITMAX := 30;
ZF21R(FZF21R,A,B,EPS,ROOT,ITMAX,IERR);
Result := Result + Format('%20.16f %5d %5d ',[ROOT,_ZF21RR.elm1,IERR])
+ #$0D#$0A;
UtRes('tzf21r',Result);  //    tzf21r.res
exit;
end;

end.
